/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TPO_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TPO_TABLE_CONFIG_ENTRY' AND KSQL_COL_NAME ='FYEARSTATE') 
 ALTER TABLE T_TPO_TABLE_CONFIG_ENTRY ADD (FYEARSTATE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TPO_TABLE_CONFIG_ENTRY' AND KSQL_COL_NAME ='FMONTHSTATE') 
 ALTER TABLE T_TPO_TABLE_CONFIG_ENTRY ADD (FMONTHSTATE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TPO_TCRET_FCS_APANAGE') 
 CREATE TABLE T_TPO_TCRET_FCS_APANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDECLAREBYMONTH VARCHAR(30) DEFAULT ' ' NOT NULL,
FDECLAREBYSEASON VARCHAR(30) DEFAULT ' ' NOT NULL,
FFCSBYHIRELIMIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FFCSBYPRICELIMIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FFCSBYPRICE CHAR(1) DEFAULT ' ' NOT NULL,
FFCSBYHIRE CHAR(1) DEFAULT ' ' NOT NULL,
FDECLAREBYYEARTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDECLAREBYYEARLIMIT VARCHAR(30) DEFAULT ' ' NOT NULL,
FDECLAREBYHALFYEAR VARCHAR(30) DEFAULT ' ' NOT NULL,
FAPANAGEAREA VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROVINCE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCITY VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TPO_TCRET_FCS_APANAGE_L') 
 CREATE TABLE T_TPO_TCRET_FCS_APANAGE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TPO_table.sql **/
